package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class FdQuotationTemplateItemTree implements Serializable {
    private static final long serialVersionUID = 1L;

    private String key;

    private String value;

    private String title;
    /** 是否叶子节点*/
    private boolean isLeaf;

    private List<FdQuotationTemplateItemTree> children = new ArrayList<>();

    private java.lang.String id;
    /**报价单模板id*/
    private java.lang.String pkQuotationTemplate;
    /**编码/序号*/
    private java.lang.String code;
    /**名称*/
    private java.lang.String name;
    /**描述/详情*/
    private java.lang.String description;
    /**父节点id*/
    private java.lang.String parentId;
    /**所有父节点*/
    private java.lang.String parentIds;
    /**排序*/
    private java.lang.String sort;
    /**是否停用0正常1停用*/
    private java.lang.String enable;
    /**删除标记0正常1删除*/
    private java.lang.String delFlag;
    /**创建人*/
    private java.lang.String createBy;
    /**创建时间*/
    private java.util.Date createTime;
    /**最后修改人*/
    private java.lang.String updateBy;
    /**最后修改时间*/
    private java.util.Date updateTime;
    /**备注*/
    private java.lang.String memo;
    /**扩展字段1*/
    private java.lang.String def1;
    /**扩展字段2*/
    private java.lang.String def2;
    /**扩展字段3*/
    private java.lang.String def3;
    /**扩展字段4*/
    private java.lang.String def4;
    /**扩展字段5*/
    private java.lang.String def5;

    private String feeCategory1;

    private String feeCategory2;

    private String deliverables;

    private String timeline;

    private String unitPrice;

    private String detailField;

    private String postprandialUnitPrice;

    public FdQuotationTemplateItemTree() { }
    public FdQuotationTemplateItemTree(FdQuotationTemplateItem fdQuotationTemplateItem){
        this.key = fdQuotationTemplateItem.getId();
        this.value = fdQuotationTemplateItem.getId();
        this.title = fdQuotationTemplateItem.getCode();
        this.id=fdQuotationTemplateItem.getId();
        this.code=fdQuotationTemplateItem.getCode();
        this.name=fdQuotationTemplateItem.getName();
        this.description=fdQuotationTemplateItem.getDescription();
        this.parentId=fdQuotationTemplateItem.getParentId();
        this.parentIds=fdQuotationTemplateItem.getParentIds();
        this.sort=fdQuotationTemplateItem.getSort();
        this.enable=fdQuotationTemplateItem.getEnable();
        this.createBy = fdQuotationTemplateItem.getCreateBy();
        this.createTime = fdQuotationTemplateItem.getCreateTime();
        this.updateBy = fdQuotationTemplateItem.getUpdateBy();
        this.updateTime = fdQuotationTemplateItem.getUpdateTime();
        this.memo = fdQuotationTemplateItem.getMemo();
        this.def1 = fdQuotationTemplateItem.getDef1();
        this.def2 = fdQuotationTemplateItem.getDef2();
        this.def3 = fdQuotationTemplateItem.getDef3();
        this.def4 = fdQuotationTemplateItem.getDef4();
        this.def5 = fdQuotationTemplateItem.getDef5();
        this.feeCategory1="";
        this.feeCategory2="";
        this.deliverables=fdQuotationTemplateItem.getDeliverables();
        this.timeline=fdQuotationTemplateItem.getTimeline();
        this.unitPrice=fdQuotationTemplateItem.getUnitPrice();
        this.detailField=fdQuotationTemplateItem.getDetailField();
        this.pkQuotationTemplate=fdQuotationTemplateItem.getPkQuotationTemplate();
        this.postprandialUnitPrice=fdQuotationTemplateItem.getPostprandialUnitPrice();
    }

    public String getPostprandialUnitPrice() {
        return postprandialUnitPrice;
    }

    public void setPostprandialUnitPrice(String postprandialUnitPrice) {
        this.postprandialUnitPrice = postprandialUnitPrice;
    }

    public List<FdQuotationTemplateItemTree> getChildren() {
        return children;
    }

    public void setChildren(List<FdQuotationTemplateItemTree> children) {
        this.children = children;
    }

    public String getFeeCategory1() {
        return feeCategory1;
    }

    public void setFeeCategory1(String feeCategory1) {
        this.feeCategory1 = feeCategory1;
    }

    public String getFeeCategory2() {
        return feeCategory2;
    }

    public void setFeeCategory2(String feeCategory2) {
        this.feeCategory2 = feeCategory2;
    }

    public String getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getDetailField() {
        return detailField;
    }

    public void setDetailField(String detailField) {
        this.detailField = detailField;
    }

    public String getDeliverables() {
        return deliverables;
    }

    public void setDeliverables(String deliverables) {
        this.deliverables = deliverables;
    }

    public String getTimeline() {
        return timeline;
    }

    public void setTimeline(String timeline) {
        this.timeline = timeline;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPkQuotationTemplate() {
        return pkQuotationTemplate;
    }

    public void setPkQuotationTemplate(String pkQuotationTemplate) {
        this.pkQuotationTemplate = pkQuotationTemplate;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentIds() {
        return parentIds;
    }

    public void setParentIds(String parentIds) {
        this.parentIds = parentIds;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getEnable() {
        return enable;
    }

    public void setEnable(String enable) {
        this.enable = enable;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }
}
